Bug 1556 - [UPDATE REQUEST] orca
: [UPDATE REQUEST] orca
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-31 18:00 MSK by Arkady L. Shane
Modified: 2013-02-06 11:46 MSK (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
alexander.petryakov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arkady L. Shane 2013-01-31 18:00:01 MSK
Advisory:
Updated to 3.6.3

BuildLists:
https://abf.rosalinux.ru/build_lists/940206
https://abf.rosalinux.ru/build_lists/940207
Comment 1 Alexander Petryakov 2013-02-03 10:14:23 MSK
I think this request connected with http://bugs.rosalinux.ru/show_bug.cgi?id=1572
Comment 2 Arkady L. Shane 2013-02-04 12:22:10 MSK
Yes, and this build fix it.
Comment 4 Vladimir Potapov 2013-02-04 17:32:52 MSK
Следующие пакеты невозможно выбрать:

- caribou-0.4.5-2-rosa2012.1.i586 (из-за неудовлетворённости pyatspi)
- orca-3.6.3-1-rosa2012.1.i586 (из-за неудовлетворённости pyatspi)
Comment 5 Arkady L. Shane 2013-02-04 18:29:45 MSK
Этот пакет есть в репозитории: http://mirror.rosalinux.com/rosa/rosa2012.1/repository/x86_64/main/updates/pyatspi-2.6.0-1-rosa2012.1.noarch.rpm
Comment 7 Vladimir Potapov 2013-02-04 18:42:57 MSK
It's not present on yandex mirror. Wait...
Comment 8 Alexander Petryakov 2013-02-05 00:20:37 MSK
orca  gave error:

pyatspi-2.6.0-1-rosa2012.1.noarch
caribou-0.4.5-2-rosa2012.1.x86_64
orca-3.6.3-1-rosa2012.1.x86_64

$orca
ERROR:root:Could not find any typelib for Atspi
Traceback (most recent call last):
  File "/usr/bin/orca", line 41, in <module>
    from orca import debug
  File "/usr/lib64/python2.7/site-packages/orca/debug.py", line 33, in <module>
    import pyatspi
  File "/usr/lib/python2.7/site-packages/pyatspi/__init__.py", line 17, in <module>
    from gi.repository import Atspi
ImportError: cannot import name Atspi
Comment 9 Arkady L. Shane 2013-02-05 11:58:34 MSK
I've added this depends to new build of orca:

https://abf.rosalinux.ru/build_lists/941607
https://abf.rosalinux.ru/build_lists/941608
Comment 10 Alexander Petryakov 2013-02-06 00:05:50 MSK
orca-3.6.3-2
caribou-0.4.5-2
************** Advisory **************
Updated to 3.6.3 and fix http://bugs.rosalinux.ru/show_bug.cgi?id=1572
**************************************
QA Verified